Add Type:Material
curl --request POST \
--url https://api.realtimelca.com/rest/api/Mapping/buildingproject/{buildingprojectId}/addmaterial \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
"{\r\n \"branchName\": \"string\",\r\n \"typeIdentifier\": \"string\",\r\n \"materialIdentifier\": \"string\",\r\n \"includeMapping\": bool,\r\n \"isRecycled\": bool,\r\n \"lifetime\": int,\r\n \"lifetimeOffset\": int,\r\n \"materialCount\": int,\r\n \"declaredUnitValuePairs\": [\r\n {\r\n \"declaredUnit\": int,\r\n \"value\": int,\r\n \"preferred\": bool\r\n },\r\n {\r\n \"declaredUnit\": int\r\n \"value\": int,\r\n \"preferred\": bool\r\n }\r\n ],\r\n \"tags\": [\r\n \"string\",\r\n \"string\"\r\n ],\r\n \"speckleUserParameters\": {\r\n \"BIMTypeCode\": \"string\",\r\n \"category\":\"string\"\r\n },\r\n \"description\": \"string\"\r\n}"
'import requests
url = "https://api.realtimelca.com/rest/api/Mapping/buildingproject/{buildingprojectId}/addmaterial"
payload = "{
\"branchName\": \"string\",
\"typeIdentifier\": \"string\",
\"materialIdentifier\": \"string\",
\"includeMapping\": bool,
\"isRecycled\": bool,
\"lifetime\": int,
\"lifetimeOffset\": int,
\"materialCount\": int,
\"declaredUnitValuePairs\": [
{
\"declaredUnit\": int,
\"value\": int,
\"preferred\": bool
},
{
\"declaredUnit\": int
\"value\": int,
\"preferred\": bool
}
],
\"tags\": [
\"string\",
\"string\"
],
\"speckleUserParameters\": {
\"BIMTypeCode\": \"string\",
\"category\":\"string\"
},
\"description\": \"string\"
}"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\r\n "branchName": "string",\r\n "typeIdentifier": "string",\r\n "materialIdentifier": "string",\r\n "includeMapping": bool,\r\n "isRecycled": bool,\r\n "lifetime": int,\r\n "lifetimeOffset": int,\r\n "materialCount": int,\r\n "declaredUnitValuePairs": [\r\n {\r\n "declaredUnit": int,\r\n "value": int,\r\n "preferred": bool\r\n },\r\n {\r\n "declaredUnit": int\r\n "value": int,\r\n "preferred": bool\r\n }\r\n ],\r\n "tags": [\r\n "string",\r\n "string"\r\n ],\r\n "speckleUserParameters": {\r\n "BIMTypeCode": "string",\r\n "category":"string"\r\n },\r\n "description": "string"\r\n}')
};
fetch('https://api.realtimelca.com/rest/api/Mapping/buildingproject/{buildingprojectId}/addmaterial', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Add Type:Material
Adds a material of a specific type to an existing building project. The material is identified by its type and material identifiers, and can be configured with lifecycle, quantity, declared unit value pairs, tags, and BIM metadata.
POST
/
Mapping
/
buildingproject
/
{buildingprojectId}
/
addmaterial
Add Type:Material
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The body is of type object.
Response
default
Response schema not yet documented in the upstream Postman spec.
⌘I

